Cancel migration
curl --request POST \
--url https://api.withorb.com/v1/plans/{plan_id}/migrations/{migration_id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withorb.com/v1/plans/{plan_id}/migrations/{migration_id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withorb.com/v1/plans/{plan_id}/migrations/{migration_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"plan_id": "<string>",
"effective_time": "2023-12-25"
}{
"type": "https://docs.withorb.com/reference/error-responses#400-constraint-violation",
"status": 400,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#401-authentication-error",
"status": 401,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#404-feature-not-available",
"status": 400,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#409-resource-conflict",
"status": 409,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#413-request-too-large",
"status": 413,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#429-too-many-requests",
"status": 429,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#500-internal-server-error",
"status": 123,
"detail": "<string>",
"title": "<string>"
}Plan
Cancel migration
This endpoint cancels a migration.
POST
/
plans
/
{plan_id}
/
migrations
/
{migration_id}
/
cancel
Cancel migration
Authorizations
API Keys can be issued in the Orb's web application.
Response
OK
Unique identifier for this plan version change.
The ID of the plan being migrated.
When the migration takes effect. Can be a specific date/time, or 'end_of_term' when scheduled to be at the end of the current billing period.
Current status of the migration: 'not_started', 'in_progress', 'completed', 'action_needed', or 'canceled'.
Available options:
not_started, in_progress, completed, action_needed, canceled Was this page helpful?
⌘I